Bug 185235 - xen0 frequently crashes during boot
xen0 frequently crashes during boot
Status: CLOSED DUPLICATE of bug 184378
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
Brian Brock
:
Depends On:
Blocks: 179629
  Show dependency treegraph
 
Reported: 2006-03-12 08:48 EST by Andy Burns
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-16 14:57:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
serial console log of boot and crash (26.43 KB, text/plain)
2006-03-12 08:48 EST, Andy Burns
no flags Details

  None (edit)
Description Andy Burns 2006-03-12 08:48:42 EST
Description of problem:
Booting xen0 kernel sometimes crashes for me since upgrading to latest rawhide,
hasn't happened with corresponding non-xen kernel

Version-Release number of selected component (if applicable):
kernel 2.6.15-1.2041_FC5
xen 3.0.1-4

How reproducible:
approx 1 time in 3

Steps to Reproduce:
1. boot in runlevel 5
2.
3.
  
Actual results:
see attached log
Comment 1 Andy Burns 2006-03-12 08:48:42 EST
Created attachment 126009 [details]
serial console log of boot and crash
Comment 2 Andy Burns 2006-03-12 13:38:53 EST
I'm now not particularly convinced this is a xen issue, more a general kernel
issue. I just had a similar crash on the non-xen kernel, didn't occur during
bootup, but after the machine had been left idle for a few hours, typically I no
longer had the serial console in operation and no doubt the important bit of the
crash had whizzed off the top of the 80x25 screen :-(

I've moved this from xen to kernel, if anyone knows better feel free to move it
back to kernel-xen or xen ...
Comment 3 Andy Burns 2006-03-15 14:55:00 EST
Though I've experienced this crash on bootup 3 times with xen and once without
xen (can't swear it was exactly the same crash without xen) once the system does
boot it is stable, it has remained up for 3 days and 20 hours, I'm just about to
update to today's rawhide ...

Comment 4 Andy Burns 2006-03-15 15:57:53 EST
This occured again for me during my first boot of 2.6.15-1.2054_FC5xen0

This bug is blocking on BZ#179629, which seems to be a security bug, so I can't
see it, can anyone fill me in with the gist of it?


Comment 5 Stephen Tweedie 2006-03-16 14:42:23 EST
179629 is just an internal "tracking" bug which we use to keep track of some
outstanding Xen issues and tasks --- it's not an actual bug report, and so don't
worry, it doesn't contain anything relevant to this report.  (That's why this
bug does not depend on 179629, but rather the other way around.)

Also, it would be *really* useful if you were ever able to capture this oops on
non-xen, so that we can compare the two and be sure it's really the same issue
in each case.  The oops you logged is in a xen-specific function, and the test:

	if (!pte_present(*pte) || pte_pfn(*pte) != pte_pfn(*pte_ref))
		BUG();

looks like it could conceivably be related to Xen's use of writable page tables.
 If we could confirm that it was definitely seen without Xen, that would narrow
things down greatly.

Thanks!
Comment 6 Stephen Tweedie 2006-03-16 14:57:56 EST

*** This bug has been marked as a duplicate of 184378 ***

Note You need to log in before you can comment on or make changes to this bug.